Proxy.Connector (Freeplane API 1.13.2)
Description: declaration: package: org.freeplane.plugin.script.proxy, interface: Proxy, interface: Connector

Package org.freeplane.plugin.script.proxy

# Interface Proxy.Connector

All Superinterfaces:
  `Connector`, `ConnectorRO`, `Proxy.ConnectorRO`

Enclosing interface:
  `Proxy`

public static interface Proxy.Connector extends Proxy.ConnectorRO, Connector

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setEndArrow(org.freeplane.features.link.ArrowType arrowType)`
  Deprecated.
  since 1.2 - use `Connector.setEndArrow(boolean)` instead
  `void`
  `setStartArrow(org.freeplane.features.link.ArrowType arrowType)`
  Deprecated.
  since 1.2 - use `Connector.setStartArrow(boolean)` instead

  ### Methods inherited from interface org.freeplane.api.Connector

  `setColor, setColorCode, setDashArray, setEndArrow, setInclination, setLabelFontFamily, setLabelFontSize, setMiddleLabel, setOpacity, setShape, setSimulatesEdge, setSourceLabel, setStartArrow, setTargetLabel, setWidth`

  ### Methods inherited from interface org.freeplane.api.ConnectorRO

  `getColor, getColorCode, getDashArray, getEndInclination, getLabelFontFamily, getLabelFontSize, getMiddleLabel, getOpacity, getShape, getSource, getSourceLabel, getStartInclination, getTarget, getTargetLabel, getWidth, hasEndArrow, hasStartArrow, simulatesEdge`

  ### Methods inherited from interface org.freeplane.plugin.script.proxy.Proxy.ConnectorRO

  `getEndArrow, getStartArrow`

- ## Method Details

  - ### setEndArrow

    @Deprecated void setEndArrow(org.freeplane.features.link.ArrowType arrowType)
    Deprecated.
    since 1.2 - use `Connector.setEndArrow(boolean)` instead
    Parameters:
      `arrowType` - type of arrow

  - ### setStartArrow

    @Deprecated void setStartArrow(org.freeplane.features.link.ArrowType arrowType)
    Deprecated.
    since 1.2 - use `Connector.setStartArrow(boolean)` instead
    Parameters:
      `arrowType` - type of arrow